> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/powershell-commands/set-udelement.md).

# Set-UDElement

### Synopsis

Set properties of an element.

### Syntax

```powershell
Set-UDElement [-Id] <String> [[-Properties] <Hashtable>] [-Broadcast] [[-Content] <ScriptBlock>] [<CommonParameters>]
```

### Description

Set the properties of an element.

### Parameters

#### -Id

The element to set properites on.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Properties

The properties to set in the form of a hashtable.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Broadcast [<SwitchParameter>]
        Whether to update this element on all connected clients.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Content

Content to set within the element.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    <CommonParameters>
        This cmdlet supports the common parameters: Verbose, Debug,
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
        OutBuffer, PipelineVariable, and OutVariable. For more information, see
        about_CommonParameters (https://go.microsoft.com/fwlink/?LinkID=113216).
```

### Outputs

\-------------------------- EXAMPLE 1 --------------------------

```
PS >New-UDButton -Id 'setElement1' -Text 'Disable Me' -OnClick {
PS >    Set-UDElement -Id 'setElement1' -Properties @{
PS >        'disabled' = $true
PS >    }
PS > }

Properties|Disables a button.




-------------------------- EXAMPLE 2 --------------------------

PS >New-UDButton -Id 'setElement2' -Text 'Disable Me' -OnClick {
PS >    Set-UDElement -Id 'setElement2' -Properties @{
PS >        'disabled' = $true
PS >    } -Broadcast
PS > }

Broadcast|Disables a button and broadcasts it to all connected dashboards.




-------------------------- EXAMPLE 3 --------------------------

PS >New-UDElement -Tag 'div' -Id 'setElement3' -Content {
PS >     New-UDTypography -Text 'Hello World'
PS > }
PS > New-UDButton -Text 'Click Me' -OnClick {
PS >     Set-UDElement -Id 'setElement3' -Content {
PS >         New-UDTypography -Text 'Goodbye World'
PS >     }
PS > }

Content|Sets the content of an element.
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/powershell-commands/set-udelement.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
